package com.ym.mec.biz.dal.dto;

import com.ym.mec.common.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotBlank;

/**
 * Description
 *
 * @author liujunchi
 * @date 2022-05-31
 */
public class RoomReservationUserSearch extends QueryInfo {

    @NotBlank(message = "房间号不能为空")
    @ApiModelProperty("直播房间号")
    private String roomUid;

    @ApiModelProperty("用户编号/用户名/用户手机号")
    private String search;

    @ApiModelProperty("声部id")
    private Integer subjectId;

    @ApiModelProperty("分部id")
    private Integer organId;

    public String getRoomUid() {
        return roomUid;
    }

    public void setRoomUid(String roomUid) {
        this.roomUid = roomUid;
    }

    @Override
    public String getSearch() {
        return search;
    }

    @Override
    public void setSearch(String search) {
        this.search = search;
    }

    public Integer getSubjectId() {
        return subjectId;
    }

    public void setSubjectId(Integer subjectId) {
        this.subjectId = subjectId;
    }

    public Integer getOrganId() {
        return organId;
    }

    public void setOrganId(Integer organId) {
        this.organId = organId;
    }
}
